# Global

##

### Methods

#### wrs_addPluginListener(listener)

Add a new callback to a MathType listener.

##### Parameters:

Name | Type | Description
--- | --- | ---
`listener` | object | an Object containing listener name and a callback.

Source:
  - core.js, line 3718
Tutorials:
  - Tutorial: tutorial

#### wrs_endParse(code, wirisProperties, language) → {string}

Parses end HTML code. The end HTML code is HTML code with embedded images or LaTeX formulas created with MathType.
By default this method converts the formula images and LaTeX strings in MathML.
If image mode is enabled the images will not be converted into MathML. For further information see http://www.wiris.com/plugins/docs/full-mathml-mode.

##### Parameters:

Name | Type | Description
--- | --- | ---
`code` | string | String to be parsed.
`wirisProperties` | object | Extra attributes for the formula.
`language` | string | Language for the formula.

Source:
  - core.js, line 642

##### Returns:

Type
  string

#### wrs_initParse(code, language) → {string}

Parses initial HTML code. If the HTML contains data generated by WIRIS, this data would be converted as following:

    MathML code: Image containing the corresponding MathML formulas.
    MathML code with LaTeX annotation : LaTeX.

##### Parameters:

Name | Type | Description
--- | --- | ---
`code` | string | HTML code with data generated by MathType.
`language` | string | Language for the formula.

Source:
  - core.js, line 1388

##### Returns:

HTML code with the WIRIS data converted into LaTeX and images.

Type
  string